Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1193931 - Messages file is flooded by systemd messages regarding rabbitmq.
Summary: Messages file is flooded by systemd messages regarding rabbitmq.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rabbitmq-server
Version: 6.0 (Juno)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 7.0 (Kilo)
Assignee: John Eckersberg
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-18 15:09 UTC by Leonid Natapov
Modified: 2016-04-18 06:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-11 17:29:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Leonid Natapov 2015-02-18 15:09:06 UTC
/var/log/messages  file is flooded by systemd messages regarding rabbitmq.
---------------------------------------------------------------------------
it's putting one of those entries into the log every time rabbitmqctl is run.
"Cannot find unit for notify message of PID 93571" is because systemd isn't launching rabbitmqctl anymore.
Probably  startup_log and startup_err.

Feb 18 16:04:55 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:04:55 mac848f69fbc4c3 systemd: Starting Session c2830 of user rabbitmq.
Feb 18 16:04:55 mac848f69fbc4c3 systemd: Started Session c2830 of user rabbitmq.
Feb 18 16:04:55 mac848f69fbc4c3 systemd: Cannot find unit for notify message of PID 92212.
Feb 18 16:04:55 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:04:55 mac848f69fbc4c3 systemd: Starting Session c2831 of user rabbitmq.
Feb 18 16:04:55 mac848f69fbc4c3 systemd: Started Session c2831 of user rabbitmq.
Feb 18 16:05:01 mac848f69fbc4c3 systemd: Created slice user-163.slice.
Feb 18 16:05:01 mac848f69fbc4c3 systemd: Starting Session 256 of user keystone.
Feb 18 16:05:01 mac848f69fbc4c3 systemd: Started Session 256 of user keystone.
Feb 18 16:05:05 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:05:05 mac848f69fbc4c3 systemd: Starting Session c2832 of user rabbitmq.
Feb 18 16:05:05 mac848f69fbc4c3 systemd: Started Session c2832 of user rabbitmq.
Feb 18 16:05:05 mac848f69fbc4c3 systemd: Cannot find unit for notify message of PID 92895.
Feb 18 16:05:05 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:05:05 mac848f69fbc4c3 systemd: Starting Session c2833 of user rabbitmq.
Feb 18 16:05:05 mac848f69fbc4c3 systemd: Started Session c2833 of user rabbitmq.
Feb 18 16:05:05 mac848f69fbc4c3 systemd: Cannot find unit for notify message of PID 92962.
Feb 18 16:05:14 mac848f69fbc4c3 Delay(ceilometer-delay)[92765]: INFO: Delay is running OK
Feb 18 16:05:15 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:05:15 mac848f69fbc4c3 systemd: Starting Session c2834 of user rabbitmq.
Feb 18 16:05:15 mac848f69fbc4c3 systemd: Started Session c2834 of user rabbitmq.
Feb 18 16:05:15 mac848f69fbc4c3 systemd: Cannot find unit for notify message of PID 93504.
Feb 18 16:05:16 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:05:16 mac848f69fbc4c3 systemd: Starting Session c2835 of user rabbitmq.
Feb 18 16:05:16 mac848f69fbc4c3 systemd: Started Session c2835 of user rabbitmq.
Feb 18 16:05:16 mac848f69fbc4c3 systemd: Cannot find unit for notify message of PID 93571.
Feb 18 16:05:26 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:05:26 mac848f69fbc4c3 systemd: Starting Session c2836 of user rabbitmq.
Feb 18 16:05:26 mac848f69fbc4c3 systemd: Started Session c2836 of user rabbitmq.
Feb 18 16:05:26 mac848f69fbc4c3 systemd: Cannot find unit for notify message of PID 94142.
Feb 18 16:05:26 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:05:26 mac848f69fbc4c3 systemd: Starting Session c2837 of user rabbitmq.
Feb 18 16:05:26 mac848f69fbc4c3 systemd: Started Session c2837 of user rabbitmq.
Feb 18 16:05:34 mac848f69fbc4c3 Delay(ceilometer-delay)[93996]: INFO: Delay is running OK
Feb 18 16:05:36 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:05:36 mac848f69fbc4c3 systemd: Starting Session c2838 of user rabbitmq.
Feb 18 16:05:36 mac848f69fbc4c3 systemd: Started Session c2838 of user rabbitmq.
Feb 18 16:05:36 mac848f69fbc4c3 systemd: Cannot find unit for notify message of PID 94768.
Feb 18 16:05:37 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:05:37 mac848f69fbc4c3 systemd: Starting Session c2839 of user rabbitmq.
Feb 18 16:05:37 mac848f69fbc4c3 systemd: Started Session c2839 of user rabbitmq.
Feb 18 16:05:37 mac848f69fbc4c3 systemd: Cannot find unit for notify message of PID 94833.
Feb 18 16:05:37 mac848f69fbc4c3 systemd: Cannot find unit for notify message of PID 94835.
Feb 18 16:05:47 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:05:47 mac848f69fbc4c3 systemd: Starting Session c2840 of user rabbitmq.
Feb 18 16:05:47 mac848f69fbc4c3 systemd: Started Session c2840 of user rabbitmq.
Feb 18 16:05:47 mac848f69fbc4c3 systemd: Cannot find unit for notify message of PID 95380.
Feb 18 16:05:47 mac848f69fbc4c3 su: (to rabbitmq) root on none
Feb 18 16:05:47 mac848f69fbc4c3 systemd: Starting Session c2841 of user rabbitmq.
Feb 18 16:05:47 mac848f69fbc4c3 systemd: Started Session c2841 of user rabbitmq.

Comment 3 Andrew Beekhof 2015-08-19 20:48:39 UTC
If this is happening in a pacemaker environment, the latest pacemaker packaegs will take care of it.
Otherwise, you need something like the following patch:

main.c-    /* The presence of this variable allegedly controls whether child
main.c-     * processes like httpd will try and use Systemd's sd_notify
main.c-     * API
main.c-     */
main.c:    unsetenv("NOTIFY_SOCKET");

Comment 4 John Eckersberg 2015-09-11 17:29:20 UTC
I've confirmed that the error about "systemd: Cannot find unit for notify message ..." is fixed using newer pacemaker (I've got pacemaker-1.1.12-22.el7_1.2.x86_64 currently).  However note that the other systemd messages about "Starting/Started Session" are still present, and that is expected behavior.  I think this is as quiet as it's going to get, so I'm going to go ahead and close this.


Note You need to log in before you can comment on or make changes to this bug.